xmlpp::exception Class Reference

Base class for all xmlpp exceptions. More...

`#include <libxml++/exceptions/exception.h>`

Inheritance diagram for xmlpp::exception:
[legend]

## Public Member Functions

| exception (const Glib::ustring& message)
| ~exception () noexceptoverride
virtual exception* | clone () const
virtual void | raise () const
const char* | what () const noexceptoverride

## Detailed Description

Base class for all xmlpp exceptions.

## Constructor & Destructor Documentation

xmlpp::exception::exception | ( | const Glib::ustring & | message | ) |

explicit

xmlpp::exception::~exception | ( |  | ) |

override noexcept

## Member Function Documentation

virtual exception* xmlpp::exception::clone | ( |  | ) | const

virtual

Reimplemented in xmlpp::parse_error, xmlpp::validity_error, and xmlpp::internal_error.

virtual void xmlpp::exception::raise | ( |  | ) | const

virtual

Reimplemented in xmlpp::parse_error, xmlpp::validity_error, and xmlpp::internal_error.

const char* xmlpp::exception::what | ( |  | ) | const

override noexcept